// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/order_private/cancel_claim_private.proto

package order_private

import (
	order "gitlab.com/fcpartners/apis/gen/order/v1/order"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

//-----------------------
// RejectMultiCancelClaim
//-----------------------
// Validation:
//  - status must be Active
type RejectMultiCancelClaimRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items []*order.CancelClaim `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
}

func (x *RejectMultiCancelClaimRequest) Reset() {
	*x = RejectMultiCancelClaimRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_private_cancel_claim_private_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RejectMultiCancelClaimRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RejectMultiCancelClaimRequest) ProtoMessage() {}

func (x *RejectMultiCancelClaimRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_private_cancel_claim_private_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RejectMultiCancelClaimRequest.ProtoReflect.Descriptor instead.
func (*RejectMultiCancelClaimRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_private_cancel_claim_private_proto_rawDescGZIP(), []int{0}
}

func (x *RejectMultiCancelClaimRequest) GetItems() []*order.CancelClaim {
	if x != nil {
		return x.Items
	}
	return nil
}

type RejectMultiCancelClaimResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	IsOk bool                 `protobuf:"varint,1,opt,name=is_ok,json=isOk,proto3" json:"is_ok,omitempty"`
	Errs []*order.ObjectError `protobuf:"bytes,2,rep,name=errs,proto3" json:"errs,omitempty"`
}

func (x *RejectMultiCancelClaimResponse) Reset() {
	*x = RejectMultiCancelClaimResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_private_cancel_claim_private_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RejectMultiCancelClaimResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RejectMultiCancelClaimResponse) ProtoMessage() {}

func (x *RejectMultiCancelClaimResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_private_cancel_claim_private_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RejectMultiCancelClaimResponse.ProtoReflect.Descriptor instead.
func (*RejectMultiCancelClaimResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_private_cancel_claim_private_proto_rawDescGZIP(), []int{1}
}

func (x *RejectMultiCancelClaimResponse) GetIsOk() bool {
	if x != nil {
		return x.IsOk
	}
	return false
}

func (x *RejectMultiCancelClaimResponse) GetErrs() []*order.ObjectError {
	if x != nil {
		return x.Errs
	}
	return nil
}

//-----------------------
// DoneMultiCancelClaim
//-----------------------
// Validation:
//  - status must be Active
type DoneMultiCancelClaimRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items []*order.CancelClaim `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
}

func (x *DoneMultiCancelClaimRequest) Reset() {
	*x = DoneMultiCancelClaimRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_private_cancel_claim_private_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DoneMultiCancelClaimRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DoneMultiCancelClaimRequest) ProtoMessage() {}

func (x *DoneMultiCancelClaimRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_private_cancel_claim_private_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DoneMultiCancelClaimRequest.ProtoReflect.Descriptor instead.
func (*DoneMultiCancelClaimRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_private_cancel_claim_private_proto_rawDescGZIP(), []int{2}
}

func (x *DoneMultiCancelClaimRequest) GetItems() []*order.CancelClaim {
	if x != nil {
		return x.Items
	}
	return nil
}

type DoneMultiCancelClaimResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	IsOk bool                 `protobuf:"varint,1,opt,name=is_ok,json=isOk,proto3" json:"is_ok,omitempty"`
	Errs []*order.ObjectError `protobuf:"bytes,2,rep,name=errs,proto3" json:"errs,omitempty"`
}

func (x *DoneMultiCancelClaimResponse) Reset() {
	*x = DoneMultiCancelClaimResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_private_cancel_claim_private_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DoneMultiCancelClaimResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DoneMultiCancelClaimResponse) ProtoMessage() {}

func (x *DoneMultiCancelClaimResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_private_cancel_claim_private_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DoneMultiCancelClaimResponse.ProtoReflect.Descriptor instead.
func (*DoneMultiCancelClaimResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_private_cancel_claim_private_proto_rawDescGZIP(), []int{3}
}

func (x *DoneMultiCancelClaimResponse) GetIsOk() bool {
	if x != nil {
		return x.IsOk
	}
	return false
}

func (x *DoneMultiCancelClaimResponse) GetErrs() []*order.ObjectError {
	if x != nil {
		return x.Errs
	}
	return nil
}

var File_v1_order_private_cancel_claim_private_proto protoreflect.FileDescriptor

var file_v1_order_private_cancel_claim_private_proto_rawDesc = []byte{
	0x0a, 0x2b, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x70, 0x72, 0x69, 0x76, 0x61,
	0x74, 0x65, 0x2f, 0x63, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x5f, 0x63, 0x6c, 0x61, 0x69, 0x6d, 0x5f,
	0x70, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1a, 0x66,
	0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x5f, 0x70, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0x1a, 0x15, 0x76, 0x31, 0x2f, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x1a, 0x21, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c,
	0x5f, 0x63, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x5f, 0x63, 0x6c, 0x61, 0x69, 0x6d, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x22, 0x56, 0x0a, 0x1d, 0x52, 0x65, 0x6a, 0x65, 0x63, 0x74, 0x4d, 0x75, 0x6c,
	0x74, 0x69, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x12, 0x35, 0x0a, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x18, 0x01, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43,
	0x6c, 0x61, 0x69, 0x6d, 0x52, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x22, 0x6a, 0x0a, 0x1e, 0x52,
	0x65, 0x6a, 0x65, 0x63, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c,
	0x43, 0x6c, 0x61, 0x69, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x13, 0x0a,
	0x05, 0x69, 0x73, 0x5f, 0x6f, 0x6b, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08, 0x52, 0x04, 0x69, 0x73,
	0x4f, 0x6b, 0x12, 0x33, 0x0a, 0x04, 0x65, 0x72, 0x72, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x1f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4f, 0x62, 0x6a, 0x65, 0x63, 0x74, 0x45, 0x72, 0x72, 0x6f,
	0x72, 0x52, 0x04, 0x65, 0x72, 0x72, 0x73, 0x22, 0x54, 0x0a, 0x1b, 0x44, 0x6f, 0x6e, 0x65, 0x4d,
	0x75, 0x6c, 0x74, 0x69, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x35, 0x0a, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x18,
	0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x43, 0x61, 0x6e, 0x63, 0x65,
	0x6c, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x52, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x22, 0x68, 0x0a,
	0x1c, 0x44, 0x6f, 0x6e, 0x65, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c,
	0x43, 0x6c, 0x61, 0x69, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x13, 0x0a,
	0x05, 0x69, 0x73, 0x5f, 0x6f, 0x6b, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08, 0x52, 0x04, 0x69, 0x73,
	0x4f, 0x6b, 0x12, 0x33, 0x0a, 0x04, 0x65, 0x72, 0x72, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x1f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4f, 0x62, 0x6a, 0x65, 0x63, 0x74, 0x45, 0x72, 0x72, 0x6f,
	0x72, 0x52, 0x04, 0x65, 0x72, 0x72, 0x73, 0x32, 0x87, 0x04, 0x0a, 0x12, 0x43, 0x61, 0x6e, 0x63,
	0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x67,
	0x0a, 0x0e, 0x47, 0x65, 0x74, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69, 0x6d,
	0x12, 0x29, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43,
	0x6c, 0x61, 0x69, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2a, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x47, 0x65, 0x74, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6a, 0x0a, 0x0f, 0x4c, 0x69, 0x73, 0x74, 0x43,
	0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x12, 0x2a, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x4c, 0x69, 0x73, 0x74, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74,
	0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x8f, 0x01, 0x0a, 0x16, 0x52, 0x65, 0x6a, 0x65, 0x63, 0x74, 0x4d, 0x75,
	0x6c, 0x74, 0x69, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x12, 0x39,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x5f, 0x70, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0x2e, 0x52, 0x65, 0x6a, 0x65,
	0x63, 0x74, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61,
	0x69, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x3a, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x70,
	0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0x2e, 0x52, 0x65, 0x6a, 0x65, 0x63, 0x74, 0x4d, 0x75, 0x6c,
	0x74, 0x69, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x89, 0x01, 0x0a, 0x14, 0x44, 0x6f, 0x6e, 0x65, 0x4d, 0x75,
	0x6c, 0x74, 0x69, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x12, 0x37,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x5f, 0x70, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0x2e, 0x44, 0x6f, 0x6e, 0x65,
	0x4d, 0x75, 0x6c, 0x74, 0x69, 0x43, 0x61, 0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69, 0x6d,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x38, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x70, 0x72, 0x69,
	0x76, 0x61, 0x74, 0x65, 0x2e, 0x44, 0x6f, 0x6e, 0x65, 0x4d, 0x75, 0x6c, 0x74, 0x69, 0x43, 0x61,
	0x6e, 0x63, 0x65, 0x6c, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x42, 0x5b, 0x0a, 0x1d, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x61, 0x70, 0x69,
	0x73, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x70, 0x72, 0x69, 0x76, 0x61,
	0x74, 0x65, 0x50, 0x01, 0x5a, 0x35, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d,
	0x2f, 0x66, 0x63, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2f, 0x61, 0x70, 0x69, 0x73,
	0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x76, 0x31, 0x2f, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x5f, 0x70, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0xba, 0x02, 0x00, 0x62, 0x06,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_order_private_cancel_claim_private_proto_rawDescOnce sync.Once
	file_v1_order_private_cancel_claim_private_proto_rawDescData = file_v1_order_private_cancel_claim_private_proto_rawDesc
)

func file_v1_order_private_cancel_claim_private_proto_rawDescGZIP() []byte {
	file_v1_order_private_cancel_claim_private_proto_rawDescOnce.Do(func() {
		file_v1_order_private_cancel_claim_private_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_order_private_cancel_claim_private_proto_rawDescData)
	})
	return file_v1_order_private_cancel_claim_private_proto_rawDescData
}

var file_v1_order_private_cancel_claim_private_proto_msgTypes = make([]protoimpl.MessageInfo, 4)
var file_v1_order_private_cancel_claim_private_proto_goTypes = []interface{}{
	(*RejectMultiCancelClaimRequest)(nil),  // 0: fcp.order.v1.order_private.RejectMultiCancelClaimRequest
	(*RejectMultiCancelClaimResponse)(nil), // 1: fcp.order.v1.order_private.RejectMultiCancelClaimResponse
	(*DoneMultiCancelClaimRequest)(nil),    // 2: fcp.order.v1.order_private.DoneMultiCancelClaimRequest
	(*DoneMultiCancelClaimResponse)(nil),   // 3: fcp.order.v1.order_private.DoneMultiCancelClaimResponse
	(*order.CancelClaim)(nil),              // 4: fcp.order.v1.order.CancelClaim
	(*order.ObjectError)(nil),              // 5: fcp.order.v1.order.ObjectError
	(*order.GetCancelClaimRequest)(nil),    // 6: fcp.order.v1.order.GetCancelClaimRequest
	(*order.ListCancelClaimRequest)(nil),   // 7: fcp.order.v1.order.ListCancelClaimRequest
	(*order.GetCancelClaimResponse)(nil),   // 8: fcp.order.v1.order.GetCancelClaimResponse
	(*order.ListCancelClaimResponse)(nil),  // 9: fcp.order.v1.order.ListCancelClaimResponse
}
var file_v1_order_private_cancel_claim_private_proto_depIdxs = []int32{
	4, // 0: fcp.order.v1.order_private.RejectMultiCancelClaimRequest.items:type_name -> fcp.order.v1.order.CancelClaim
	5, // 1: fcp.order.v1.order_private.RejectMultiCancelClaimResponse.errs:type_name -> fcp.order.v1.order.ObjectError
	4, // 2: fcp.order.v1.order_private.DoneMultiCancelClaimRequest.items:type_name -> fcp.order.v1.order.CancelClaim
	5, // 3: fcp.order.v1.order_private.DoneMultiCancelClaimResponse.errs:type_name -> fcp.order.v1.order.ObjectError
	6, // 4: fcp.order.v1.order_private.CancelClaimService.GetCancelClaim:input_type -> fcp.order.v1.order.GetCancelClaimRequest
	7, // 5: fcp.order.v1.order_private.CancelClaimService.ListCancelClaim:input_type -> fcp.order.v1.order.ListCancelClaimRequest
	0, // 6: fcp.order.v1.order_private.CancelClaimService.RejectMultiCancelClaim:input_type -> fcp.order.v1.order_private.RejectMultiCancelClaimRequest
	2, // 7: fcp.order.v1.order_private.CancelClaimService.DoneMultiCancelClaim:input_type -> fcp.order.v1.order_private.DoneMultiCancelClaimRequest
	8, // 8: fcp.order.v1.order_private.CancelClaimService.GetCancelClaim:output_type -> fcp.order.v1.order.GetCancelClaimResponse
	9, // 9: fcp.order.v1.order_private.CancelClaimService.ListCancelClaim:output_type -> fcp.order.v1.order.ListCancelClaimResponse
	1, // 10: fcp.order.v1.order_private.CancelClaimService.RejectMultiCancelClaim:output_type -> fcp.order.v1.order_private.RejectMultiCancelClaimResponse
	3, // 11: fcp.order.v1.order_private.CancelClaimService.DoneMultiCancelClaim:output_type -> fcp.order.v1.order_private.DoneMultiCancelClaimResponse
	8, // [8:12] is the sub-list for method output_type
	4, // [4:8] is the sub-list for method input_type
	4, // [4:4] is the sub-list for extension type_name
	4, // [4:4] is the sub-list for extension extendee
	0, // [0:4] is the sub-list for field type_name
}

func init() { file_v1_order_private_cancel_claim_private_proto_init() }
func file_v1_order_private_cancel_claim_private_proto_init() {
	if File_v1_order_private_cancel_claim_private_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_order_private_cancel_claim_private_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RejectMultiCancelClaimRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_private_cancel_claim_private_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RejectMultiCancelClaimResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_private_cancel_claim_private_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DoneMultiCancelClaimRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_private_cancel_claim_private_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DoneMultiCancelClaimResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_order_private_cancel_claim_private_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   4,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_v1_order_private_cancel_claim_private_proto_goTypes,
		DependencyIndexes: file_v1_order_private_cancel_claim_private_proto_depIdxs,
		MessageInfos:      file_v1_order_private_cancel_claim_private_proto_msgTypes,
	}.Build()
	File_v1_order_private_cancel_claim_private_proto = out.File
	file_v1_order_private_cancel_claim_private_proto_rawDesc = nil
	file_v1_order_private_cancel_claim_private_proto_goTypes = nil
	file_v1_order_private_cancel_claim_private_proto_depIdxs = nil
}
